﻿# -*- coding: utf-8 -*-
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','SurfWind','Tau','Ps','SurfTemp']
vnames = ['Eta','Press_top','k_top','DDAF_d']
#vnames = ['Eta','Eta_H','V_tang','Press_top','DeltaP','k_top','DDAF_d','DTHF_d']
#vnames = ['SurfWind']
#vnames = ['Ps', 'Tau', 'SurfTemp'] 
#vnames = ['KMHF_d', 'NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1
iyrs = 2
iyre = 2

solswitch = false #true のとき単位をsol^-1 にする. デフォルトはfalse.
#solswitch = true

colorswitch = false #true のときKMHF_dのカラーレベルを下げる.
#colorswitch = true 

logswitch = false #true のときカラーバーを一定の間隔にしラベルを全表示. sol and color がtrue の場合は対数表示もする
#logswitch = true
p vnames.length-1
for ivar in 0..(vnames.length-1)
    
    p 'vname: ' + vnames[ivar]

    system('ruby draw_1D_t.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' '+solswitch.to_s + ' '+ colorswitch.to_s + ' ' + logswitch.to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")
    system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > dclrot.ps")
    system("pstoimg -type gif -flip r270 dclrot.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dclrot.gif "+figdir+"/dcl_"+vnames[ivar]+"_1Dtime"+".gif" )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_1Dtime"+".ps"  )
    system(com)
    system("rm dclrot.ps")
end


