﻿# -*- coding: utf-8 -*-
# 巻き上がり回数
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "gphys_time"
require "numru/ggraph"
require "gphys_draw"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','Tau']
#vnames = ['Ps']
vnames = ['KMHF_d']


figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 3
iyre = 3
lt = [8]#見たい月
#lt = [8,9,10]#見たい月
#divid = [0,4000]#区切り時間. その月の初めからの場合は1番目の要素 に 0 を入れる. 区切る時間は2番目の要素に入れる. dcl の都合上最大区切り時間は 4000
divid = [0,25]
#divid = [0,73]
#lat = [60,-30,-50]
#lat = [50,-30]#固定する緯度
#lat = [-30,50]
lat = [-30]
#lon = [90,270]
lon = [90]
divhours = time_dis(iyrs, iyre, divid, lt)

#if vname = "KMHF_d" then
  pat = 1.0e-8
#elsif vname = "NewmanF_d" then
#  pat = 1.0e-10
#end

for latnum in 0..(lat.length - 1)
  for lonnum in 0..(lon.length - 1)
    for ivar in 0..(vnames.length - 1)
      gphys = GPhys::IO.open(dir + '/' + vnames[ivar]+'.nc', vnames[ivar])
      for imon in 0..(lt.length - 1)
p 'lat = '+lat[latnum].to_s + 'lon = '+lon[lonnum].to_s+'ls = '+lt[imon].to_s
         timenum = NArray.sfloat(25).fill(0.0)
         for hour in 1..(divhours[imon].length - 1) 
           timenum = dcpam_time_num(divhours[imon][hour - 1], divhours[imon][hour], lat[latnum], lon[lonnum], pat, timenum, gphys)
         end

time = NArray.sfloat(25).indgen
#< DCLのオープンと設定 >
DCL.gropn(2)
DCL.grfrm
#DCL.sldiv('y',2,2)           # 2x2に画面分割, 'y'=yoko: 左上→右上→左下...
DCL.sgpset('lcntl', false)   # 制御文字を解釈しない
DCL.sgpset('lfull',true)     # 全画面表示
DCL.uzfact(0.75)             # 座標軸の文字列サイズを 0.75 倍
DCL.sgpset('lfprop',true)    # プロポーショナルフォントを使う

#DCL::usspnt(time, timenum)
#DCL::uspfit
#DCL::grstrf
DCL::ussttl('Time','hours','Number of dust lifting', ' ') 
#DCL::usdaxs
#DCL::uulin(time[0..-1],timenum[0..-1])
DCL.usgrph(time[0..-1],timenum[0..-1])
DCL::grcls
#          dcpam_timenum_draw(timenum)         
          system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
          system("mv kari dcl.ps")
         
          system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
          com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_t-n_"+lat[latnum].to_s+ '_' +lon[lonnum].to_s+"_"+ "%0#{2}d"%(lt[imon].to_s) +".gif" 
          system(com)
          com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_t-n_"+lat[latnum].to_s+ '_'+lon[lonnum].to_s+'_'+ "%0#{2}d"%(lt[imon].to_s)+".ps" 
          system(com)
      end
    end
  end
end
