﻿# -*- coding: utf-8 -*-
#
# 2Ls=30度毎に平均した緯度経度図
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d', 'SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Eta','SurfTemp','Press_top', 'Ps', 'Tau']
vnames = ['SurfTemp', 'KMHF_d', 'SurfMajCompIce','DDAF_d','Sens','SurfDustGravSedFlux','Eta','SurfTemp','Press_top', 'Ps']
#vnames = ['DDAF_d']
#vnames = ['DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Eta','SurfTemp','Press_top']
#vnames = ['Sens']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfWind']
#vnames = ['SurfMajCompIce']
#vnames = ['KMHF_d','NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )


#iyrs = 11
#iyre = 20
iyrs = 3
iyre = 3
#iyrs = 1
#iyre = 1

for ivar in 0..(vnames.length-1)
  for imon in 1..12#7..12#1..6#6..12#1..6#
    
    p 'vname: ' + vnames[ivar]
    p 'Month: ' + imon.to_s

    system('ruby draw_2D_xy.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + imon.to_s )
    system("pdf2ps dcl.pdf dcl.ps")
    system("rm dcl.pdf")

    system("pstoimg -type gif -flip r270 dcl.ps")
    system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_"+"mon%0#{2}d.gif", imon )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+"_"+"mon%0#{2}d.ps" , imon )
    system(com)
  end
end

